      program example2b
      include 'mpif.h'
      integer ierr, size, rank
      call MPI_INIT(ierr)
      call MPI_COMM_SIZE(MPI_COMM_WORLD, size, ierr)
      call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)
      print *, 'process ', rank, ', size ', size
      call MPI_FINALIZE(ierr)
      end
